Locations
Create Location
Create a new location. Must specify organization using query parameter or body parameter.
POST
/
locations
Create Location
curl --request POST \
--url https://answeringagent.com/api/v1/locations \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"address": "<string>",
"area_code": "<string>",
"google_place_id": "<string>",
"organization_id": 123,
"team_id": 123
}
'import requests
url = "https://answeringagent.com/api/v1/locations"
payload = {
"name": "<string>",
"address": "<string>",
"area_code": "<string>",
"google_place_id": "<string>",
"organization_id": 123,
"team_id": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: '<string>',
area_code: '<string>',
google_place_id: '<string>',
organization_id: 123,
team_id: 123
})
};
fetch('https://answeringagent.com/api/v1/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"location": {
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"address": "<string>",
"google_place_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "API key is required"
}{
"message": "Organization not found"
}{
"message": "<string>",
"errors": {}
}Authorizations
Query Parameters
Organization to add the location to
Body
application/json
Name of the location
Physical address of the location
Optional area code hint for phone provisioning
Pattern:
^\d{3}$Google Places ID for the location
Organization ID (alternative to query parameter)
Team ID (alias for organization_id)
Response
Location created successfully
Show child attributes
Show child attributes
⌘I
Create Location
